Polysun Linux-Installer

Das Forum für alle Fragen und Diskussionen rund um Polysun Simulation Software (Designer/Standard)
Post Reply
Marc Jakobi
Posts: 17
Joined: Wed Nov 08, 2017 6:01 pm

Tue Jan 29, 2019 9:30 am

Fehlermeldung bei der Installation:

Code: Select all

No suitable Java Virtual Machine could be found on your system.
The version of the JVM must be at least 1.7.0.
Please define INSTALL4J_JAVA_HOME to point to a suitable JVM.
Lösung:

Der Linux-Installer benötigt root-Rechte. Da aus Sicherheitsgründen Environment-Variablen beim sudo-Aufruf «unsichtbar» sind, muss man sie entweder mitgeben (z. B. sudo INSTALL4J_JAVA_HOME="/path/to/java/" polysun.sh) oder die Variable im .bashrc speichern und in der sudoers-Datei freischalten: https://wiki.archlinux.org/index.php/Su ... _variables
Dazu muss in /etc/sudoers folgende Zeile eingetragen werden:

Code: Select all

Defaults env_keep += "INSTALL4J_JAVA_HOME" 

Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 0 guests